SystemOrganization addCategory: #'UnixMetaStack-Profiling-TargetScript'!

Object subclass: #ProfilingTargetScript
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'UnixMetaStack-Profiling-TargetScript'!

ProfilingTargetScript class
	instanceVariableNames: 'packageNamesToSuitesDict'!

ProfilingTargetScript class
	instanceVariableNames: 'packageNamesToSuitesDict'!

!ProfilingTargetScript class methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/27/2014 14:49'!
allPackageTests

	^ packageNamesToSuitesDict keys printString! !

!ProfilingTargetScript class methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/27/2014 14:44'!
initialize

	super initialize.
	packageNamesToSuitesDict := Dictionary new.
	TestCase allSubclasses do: [ :testCase | 
			|testCollection|
			testCollection := packageNamesToSuitesDict 
									at: testCase package name asString
									ifAbsent: [ packageNamesToSuitesDict 
													at: testCase package name asString
													put: OrderedCollection new. ].
			testCollection add: testCase buildSuiteFromAllSelectors.
		]. 
	packageNamesToSuitesDict := packageNamesToSuitesDict collect:  [:value | (TestSuite new addTests: value) ].! !

!ProfilingTargetScript class methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/28/2014 07:13'!
run: aPackageTestNameAsString

	| success |
	[ success := ((packageNamesToSuitesDict at: aPackageTestNameAsString) run defects isEmpty) ] on: Error do: [ success := false ].
	^ '__SUCCESS__START__' , success printString , '__SUCCESS__END__'! !
ProfilingTargetScript initialize!
